Subject: WG last call on Sampling and Filtering Techniques until March 12

From: Juergen Quittek <[email-masked]>
Date: Tue, 22 Feb 2005 10:29:09 +0100

Dear all,

Tanja has submitted a new version of our document on Sampling and 
Filtering Techniques for IP Packet Selection.  Please find it at
<http://www.ietf.org/internet-drafts/draft-ietf-psamp-sample-tech-06.txt>.

The document in mature enough for entering WG last call.
The call will end on March 12.  This allows us bringing up and
discussing comments and issues also at our session in Minneapolis.

Please read the document carefully and comment on it.

PLEASE ALSO COMMENT IF YOU THINK THE DOCUMENT IS FINE.
Positive feedback is as welcome as comment on technical flaws and 
editorial nits.

There is one open technical issue left that we should continue 
discussing and try to close during last call.  The document describes 
the need to support hash functions for packet selection and for 
packet digest.  We agreed already, that for each of them one hash 
function should be mandatory to implement.  Currently it is IPSX 
for packet selection and CRC32 for packet digest.

However, a discussion recently started on this list considered 
replacing both (as mandatory to implement) by the BOB hash function.
We have not reached consensus on this issue.

Thanks,

    Juergen
-- 
Juergen Quittek        [email-masked]       Tel: +49 6221 90511-15
NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.netlab.nec.de

> From: [email-masked]
> To: [email-masked]
> cc: [email-masked]
> Subject: I-D ACTION:draft-ietf-psamp-sample-tech-06.txt
> Date-Sent: Freitag, 18. Februar 2005 16:04 Uhr +0100
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Packet Sampling Working Group of the IETF.
> 
> 	Title		: Sampling and Filtering Techniques for IP Packet Selection
> 	Author(s)	: T. Zseby, et al.
> 	Filename	: draft-ietf-psamp-sample-tech-06.txt
> 	Pages		: 37
> 	Date		: 2005-2-17
> 	
> This document describes Sampling and Filtering techniques for IP 
>     packet selection. It provides a categorization of schemes and 
>     defines what parameters are needed to describe the most common 
>     selection schemes. Furthermore it shows how techniques can be 
>     combined to build more elaborate packet Selectors. The document 
>     provides the basis for the definition of information models for 
>     configuring selection techniques in measurement processes and 
>     for reporting the technique in use to a Collector.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-psamp-sample-tech-06.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of the message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-psamp-sample-tech-06.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>

---

From: Tanja Zseby <[email-masked]>
Date: Wed, 23 Feb 2005 11:29:58 +0100

Hi Juergen,

just a small comment: we agreed that it is mandatory to implement one of 
the described selection methods to be psamp-conformant. Regarding the 
hash-function we just give recommendations if someone decided to 
implement a hash-based selection. So to my understanding we will not 
have one hash-function mandatory but only recommended. Do you agree ?

Regards
Tanja

-- 
Dipl.-Ing. Tanja Zseby			    	      	
Fraunhofer Institute FOKUS			Email: [email-masked]	
Kaiserin-Augusta-Allee 31			Phone: +49-30-3463-7153
D-10589 Berlin, Germany				Fax:   +49-30-3463-8153
-------------------------------------------------------------------------------------- 
"Living on earth is expensive but it includes a free trip around the sun." (Anonymous)
--------------------------------------------------------------------------------------

---

From: Maurizio Molina <[email-masked]>
Date: Wed, 23 Feb 2005 10:55:07 +0000

Hi Tanja,
"recommended" is a rather vague term.
In my view, it should be made clear that in case someone implements the 
hash based filtering, he MUST (or SHOULD) implement the recommended hash 
function. Otherwise, the whole concept of trajectory sampling, which is 
one of the main reason for having hash based sampling, is broken.
 From the discussion I saw on the ML I think a consensus on a MUST is 
probably difficult to reach, but at least a SHOULD should be in.
Maurizio  

Tanja Zseby wrote:

> Hi Juergen,
>
> just a small comment: we agreed that it is mandatory to implement one 
> of the described selection methods to be psamp-conformant. Regarding 
> the hash-function we just give recommendations if someone decided to 
>> function should be mandatory to implement.  Currently it is IPSX for 
>> packet selection and CRC32 for packet digest.
>>

---

From: Tanja Zseby <[email-masked]>
Date: Wed, 23 Feb 2005 12:14:20 +0100

Hi Maurizio,

as far as I know a SHOULD in the draft means that it is recommended.  So 
having a SHOULD there is o.k. with me.
So we state that if someone decides to use a hash-based selection he 
SHOULD use the [to be agreed on ] function .

Regards
Tanja

Maurizio Molina wrote:

> In my view, it should be made clear that in case someone implements 
> the hash based filtering, he MUST (or SHOULD) implement the 
> recommended hash function. Otherwise, the whole concept of trajectory 
> sampling, which is one of the main reason for having hash based 
> sampling, is broken.
>>> discussing and try to close during last call.  The document 
>>> describes the need to support hash functions for packet selection 
>>> and for packet digest.  We agreed already, that for each of them one 
>>> hash function should be mandatory to implement.  Currently it is 
>>> IPSX for packet selection and CRC32 for packet digest.
>>>

---

From: Juergen Quittek <[email-masked]>
Date: Wed, 23 Feb 2005 16:24:09 +0100

RFC 2119 suggest using the following paragraph:

      The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL
      NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and
      "OPTIONAL" in this document are to be interpreted as described in
      RFC 2119.

As you see, 'RECOMMENDED' is well defined and equivalent to 'SHOULD'.

    Juergen